package ru.yandex.wmconsole.data;

/**
 * Fake user enumeration. Used for history saving purposes.
 * Fake user ids should be less than zero!
 *
 * @author ailyin
 */
public enum FakeUser {
    PDD (-1),
    API(-2),
    PARTNER(-3);

    private final long id;

    private FakeUser(long id) {
        this.id = id;
    }

    public long getId() {
        return id;
    }
}
